Lookup BVN
curl --request GET \
--url https://api.dojah.io/api/v1/kyc/bvn/full \
--header 'AppId: <appid>' \
--header 'Authorization: <api-key>'import requests
url = "https://api.dojah.io/api/v1/kyc/bvn/full"
headers = {
"AppId": "<appid>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {AppId: '<appid>', Authorization: '<api-key>'}};
fetch('https://api.dojah.io/api/v1/kyc/bvn/full', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entity": {
"bvn": "2*****48240",
"first_name": "JOHN",
"last_name": "MUSA",
"middle_name": "DOE",
"gender": "Male",
"date_of_birth": "1972-02-19",
"phone_number1": "08099434292",
"image": "/9j/3AAQSkZJGgABAgBBBQABAAD/“,
"level_of_account": "Level 2 - Medium Level Accounts",
"lga_of_origin": "Odo Otin",
"lga_of_residence": "Ilorin South",
"marital_status": "Single",
"name_on_card": "DOE, JOHN M",
"nationality": "Nigeria",
"nin": "",
"phone_number1": "08099434292",
"phone_number2": "",
"reference": "91b126d1-2467-42fc-b8d5-1cbd32257954",
"registration_date": "21-Mar-2018",
"residential_address": "24, ADELABU OWODE, ILORIN",
"state_of_origin": "Osun State",
"state_of_residence": "Kwara State",
"title": "Mr",
"watch_listed": "NO"
}
}
{
"error": "Invalid request parameters"
}
{
"error": "App Couldn't be Validated"
}
Lookup BVN
This endpoint allows you to Lookup BVN and get detailed information on the BVN Identity
GET
/
api
/
v1
/
kyc
/
bvn
/
full
Lookup BVN
Application ID from dashboard
Query parameter
A valid Bank Verification Number (BVN)
RESPONSES
json
{
"entity": {
"bvn": "2*****48240",
"first_name": "JOHN",
"last_name": "MUSA",
"middle_name": "DOE",
"gender": "Male",
"date_of_birth": "1972-02-19",
"phone_number1": "08099434292",
"image": "/9j/3AAQSkZJGgABAgBBBQABAAD/“,
"level_of_account": "Level 2 - Medium Level Accounts",
"lga_of_origin": "Odo Otin",
"lga_of_residence": "Ilorin South",
"marital_status": "Single",
"name_on_card": "DOE, JOHN M",
"nationality": "Nigeria",
"nin": "",
"phone_number1": "08099434292",
"phone_number2": "",
"reference": "91b126d1-2467-42fc-b8d5-1cbd32257954",
"registration_date": "21-Mar-2018",
"residential_address": "24, ADELABU OWODE, ILORIN",
"state_of_origin": "Osun State",
"state_of_residence": "Kwara State",
"title": "Mr",
"watch_listed": "NO"
}
}
{
"error": "Invalid request parameters"
}
{
"error": "App Couldn't be Validated"
}
Was this page helpful?
⌘I